#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xB0,0x44,0xC3,0x5B,0xAD,0x79,0x1D,0xBF,0x7F,0x2A,0x90,0x04,
		0x19,0x9D,0xD1,0x36,0x22,0x85,0x8F,0x52,0xE2,0x84,0x25,0x11,
		0xFE,0x23,0x49,0xF4,0x60,0xEF,0x17,0xE8,0x88,0xC4,0x2A,0x46,
		0xDA,0xBE,0x59,0x8A,0x58,0xD0,0x5C,0x0F,0x6D,0x2E,0x2F,0xC4,
		0xCC,0xEC,0x9D,0x81,0xDF,0x72,0x81,0xB6,0xC1,0xFF,0xB2,0x1A,
		0x38,0x14,0x97,0x73,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
